function [H] = lagrangianHessian(x)
    global l rho E A_underline A_overline M mu m n_s
    
    H = zeros(2 * m + 3 * n_s);
    
    tmp = rho .* l;
    tmp = tmp ./ (M - dot(tmp, x(1:m)));
    
    H_AA =   mu * (tmp * tmp') ...
           + diag(((l .* x(m+1:2*m).^2) ./ (E .* x(1:m).^3)) ...
                  + mu * ((x(1:m) - A_underline).^(-2) + (A_overline - x(1:m)).^(-2))); 
              
    H_qA = diag(- l .* x(m+1:2*m) ./ (E .* x(1:m).^2));
    
    H_qq = diag(l ./ (E .* x(1:m)));
    
    H(1:2*m, 1:2*m) = [H_AA H_qA;
                       H_qA H_qq];
end