function [] = trussPlot(nodes, index_nodes_connected, m, A)    
    %% Plot truss
    figure(1)
    hold off

    % Plot nodes
    scatter3(nodes(1, :), nodes(2, :), nodes(3, :), 'filled')

    % Plot bars
    hold on
    index_nodes_connected_reshaped = reshape(index_nodes_connected', 1, 2 * m);
    l = line(reshape(nodes(1, index_nodes_connected_reshaped), 2, m), ...
             reshape(nodes(2, index_nodes_connected_reshaped), 2, m), ...
             reshape(nodes(3, index_nodes_connected_reshaped), 2, m), ...
             'Color', [0 .5 .5]);

    % Adjust bar widths
    set(l, {'LineWidth'}, arrayfun(@num2cell, 4 * sqrt(A)))

    % Plot settings
    grid off
    axis off
    axis equal
    set(gca, 'Color', 'none');
    %xlim([-1.1 1.1])
    %ylim([-1.1 1.1])
    %zlim([-1.1 1.1])
    xlabel('$x$','Interpreter','LaTex', 'Fontsize', 20);
    ylabel('$y$','Interpreter','LaTex', 'Fontsize', 20);
    zlabel('$z$','Interpreter','LaTex', 'Fontsize', 20);
    %title('Truss','Interpreter','LaTex', 'Fontsize', 20);
    
    %addpath tools/export_fig/
    %export_fig ../gfx/truss -pdf -transparent
end